/* =========================
   STYLE
========================= */
.padding-normal {
padding: 15px 15px 15px 15px;
}
.margin-normal {
padding: 15px 15px 15px 15px;
}
.data-background-theme {
    background: var(--this-data-background-theme) !important;
}
.data-color-theme {
    color: var(--this-data-color-theme) !important;
}

.data-background-theme-dark {
    background: var(--data-background-theme-dark) !important;
}
.data-color-dark {
    color: var(--data-color-theme-dark) !important;
}
.data-background-theme-light {
    background: var(--data-background-theme-light) !important;
}
.data-background-theme-light-1 {
    background: var(--data-background-theme-light-1) !important;
}
.data-color-light {
    color: var(--data-color-theme-light) !important;
}

.data-background-light-1 {
    background: var(--data-background-theme-light-1) !important;
}
.data-color-light-1 {
    color: var(--data-color-theme-light-1) !important;
}

.position-sticky-top-full {
    position: sticky;
    top: calc(-1 * var(--header-height) - 5px);
}

.d-flex-wrap-start {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.d-flex-column {
    display: flex;
    flex-direction: column;
}

.min-h-full {
    min-height: calc(100vh - var(--header-height, 0px));
    min-height: calc(100dvh - var(--header-height, 0px));
}
.no-wrap {
    white-space: nowrap;
}

.p-relative {
    position: relative;
}
.p-absolute {
    position: absolute;
}

.text-right {
    text-align: right;
}
.text-left {
    text-align: left;
}
.w-100 {
    width: 100%;
}
.h-100 {
    height: 100%;
}

.h-50 {
    height: 50%;
}
.h-100vh {
    height: 100vh;
    height: 100dvh;
}
.d-block {
    display: block;
}
.d-inline {
    display: inline;
}
.d-inline-block {
    display: inline-block;
}
.d-list-item {
    display: list-item;
}

.d-flex {
    display: flex;
}
.d-inline-flex {
    display: inline-flex;
}
.flex-1 {
    flex: 1;
}
.flex-grow-1 {
    flex-grow: 1;
}
.flex-row {
    flex-direction: row;
}
.flex-row-reverse {
    flex-direction: row-reverse;
}
.flex-column {
    flex-direction: column;
}
.flex-column-reverse {
    flex-direction: column-reverse;
}

.flex-wrap {
    flex-wrap: wrap;
}
.flex-nowrap {
    flex-wrap: nowrap;
}
.flex-wrap-reverse {
    flex-wrap: wrap-reverse;
}

.justify-start {
    justify-content: flex-start;
}
.justify-center {
    justify-content: center;
}
.justify-end {
    justify-content: flex-end;
}
.justify-between {
    justify-content: space-between;
}
.justify-around {
    justify-content: space-around;
}
.justify-evenly {
    justify-content: space-evenly;
}

.align-start {
    align-items: flex-start;
}
.align-center {
    align-items: center;
}
.align-end {
    align-items: flex-end;
}
.align-stretch {
    align-items: stretch;
}
.align-baseline {
    align-items: baseline;
}

.content-start {
    align-content: flex-start;
}
.content-center {
    align-content: center;
}
.content-end {
    align-content: flex-end;
}
.content-between {
    align-content: space-between;
}
.content-around {
    align-content: space-around;
}
.content-stretch {
    align-content: stretch;
}

.d-grid {
    display: grid;
}
.d-inline-grid {
    display: inline-grid;
}

.grid-cols-1 {
    grid-template-columns: repeat(1, 1fr);
}
.grid-cols-2 {
    grid-template-columns: repeat(2, 1fr);
}
.grid-cols-3 {
    grid-template-columns: repeat(3, 1fr);
}
.grid-cols-4 {
    grid-template-columns: repeat(4, 1fr);
}
.grid-cols-5 {
    grid-template-columns: repeat(5, 1fr);
}
.grid-cols-6 {
    grid-template-columns: repeat(6, 1fr);
}
.grid-cols-7 {
    grid-template-columns: repeat(7, 1fr);
}
.grid-cols-8 {
    grid-template-columns: repeat(8, 1fr);
}
.grid-cols-9 {
    grid-template-columns: repeat(9, 1fr);
}
.grid-cols-10 {
    grid-template-columns: repeat(10, 1fr);
}
.grid-cols-11 {
    grid-template-columns: repeat(11, 1fr);
}
.grid-cols-12 {
    grid-template-columns: repeat(12, 1fr);
}

.grid-rows-1 {
    grid-template-rows: repeat(1, 1fr);
}
.grid-rows-2 {
    grid-template-rows: repeat(2, 1fr);
}
.grid-rows-3 {
    grid-template-rows: repeat(3, 1fr);
}
.grid-rows-4 {
    grid-template-rows: repeat(4, 1fr);
}
.grid-rows-5 {
    grid-template-rows: repeat(5, 1fr);
}
.grid-rows-6 {
    grid-template-rows: repeat(6, 1fr);
}

.gap-0 {
    gap: 0;
}
.gap-1 {
    gap: 0.25rem;
}
.gap-2 {
    gap: 0.5rem;
}
.gap-3 {
    gap: 1rem;
}
.gap-4 {
    gap: 1.5rem;
}
.gap-5 {
    gap: 2rem;
}
.gap-x-1 {
    column-gap: 0.25rem;
}
.gap-x-2 {
    column-gap: 0.5rem;
}
.gap-x-3 {
    column-gap: 1rem;
}
.gap-x-4 {
    column-gap: 1.5rem;
}
.gap-x-5 {
    column-gap: 2rem;
}
.gap-y-1 {
    row-gap: 0.25rem;
}
.gap-y-2 {
    row-gap: 0.5rem;
}
.gap-y-3 {
    row-gap: 1rem;
}
.gap-y-4 {
    row-gap: 1.5rem;
}
.gap-y-5 {
    row-gap: 2rem;
}

.justify-items-start {
    justify-items: start;
}
.justify-items-center {
    justify-items: center;
}
.justify-items-end {
    justify-items: end;
}
.justify-items-stretch {
    justify-items: stretch;
}

.align-items-start {
    align-items: start;
}
.align-items-center {
    align-items: center;
}
.align-items-end {
    align-items: end;
}
.align-items-stretch {
    align-items: stretch;
}

.justify-content-start {
    justify-content: start;
}
.justify-content-center {
    justify-content: center;
}
.justify-content-end {
    justify-content: end;
}
.justify-content-between {
    justify-content: space-between;
}
.justify-content-around {
    justify-content: space-around;
}
.justify-content-evenly {
    justify-content: space-evenly;
}

.align-content-start {
    align-content: start;
}
.align-content-center {
    align-content: center;
}
.align-content-end {
    align-content: end;
}
.align-content-between {
    align-content: space-between;
}
.align-content-around {
    align-content: space-around;
}
.align-content-stretch {
    align-content: stretch;
}

.grid-flow-row {
    grid-auto-flow: row;
}
.grid-flow-column {
    grid-auto-flow: column;
}
.grid-flow-row-dense {
    grid-auto-flow: row dense;
}
.grid-flow-column-dense {
    grid-auto-flow: column dense;
}

.col-span-1 {
    grid-column: span 1 / span 1;
}
.col-span-2 {
    grid-column: span 2 / span 2;
}
.col-span-3 {
    grid-column: span 3 / span 3;
}
.col-span-4 {
    grid-column: span 4 / span 4;
}
.col-span-5 {
    grid-column: span 5 / span 5;
}
.col-span-6 {
    grid-column: span 6 / span 6;
}
.col-span-7 {
    grid-column: span 7 / span 7;
}
.col-span-8 {
    grid-column: span 8 / span 8;
}
.col-span-9 {
    grid-column: span 9 / span 9;
}
.col-span-10 {
    grid-column: span 10 / span 10;
}
.col-span-11 {
    grid-column: span 11 / span 11;
}
.col-span-12 {
    grid-column: span 12 / span 12;
}

.row-span-1 {
    grid-row: span 1 / span 1;
}
.row-span-2 {
    grid-row: span 2 / span 2;
}
.row-span-3 {
    grid-row: span 3 / span 3;
}
.row-span-4 {
    grid-row: span 4 / span 4;
}
.row-span-5 {
    grid-row: span 5 / span 5;
}
.row-span-6 {
    grid-row: span 6 / span 6;
}

.d-flow-root {
    display: flow-root;
}
.d-contents {
    display: contents;
}
.d-run-in {
    display: run-in;
}

.d-none {
    display: none;
}
.d-inherit {
    display: inherit;
}
.d-initial {
    display: initial;
}
.d-revert {
    display: revert;
}
.d-unset {
    display: unset;
}

.mobile-break {
    line-height: 1 !important;
}

/* =========================
   MEDIA
========================= */

@media (min-width: 768px) {
    .mobile-break {
        line-height: normal !important;
    }
}
@media (orientation: landscape) {}

@media (min-width: 1024px) {}

@media (min-width: 1200px) {}

@media (min-width: 1440px) {}